<div class="fm-row">
	<div class="row">
		<div class="col-sm-12 text-right">
			<button [disabled]="!zonesave" class="btn btn-sm btn-primary green" (click)="zoneSave()">
				<i aria-hidden="true" class="fa fa-floppy-o"></i> Save Zone</button>
			<button [disabled]="!deleteZone" class="btn btn-sm btn-primary red" (click)="deleteOverlay()">
				<i aria-hidden="true" class="fa fa-eraser"></i> Delete Selected</button>
		</div>
	</div>
</div>
<ngui-map (mapReady$)="onMapReady($event)" class="maping" [center]="center" [zoom]="10" [zoomControlOptions]="{position: 'TOP_RIGHT'}"
 [fullscreenControl]="true" [fullscreenControlOptions]="{position: 'TOP_RIGHT'}" [scrollwheel]="false">

	<polygon [geodesic]="true" *ngFor="let pos of triangleCoords" [paths]="pos" [strokeColor]="'#57ACF9'" [strokeOpacity]="1" [editable] = "true" [clickable] = 'true'
	 [strokeWeight]="3" [fillColor]="'#BCDCF9'" [fillOpacity]="0.75">
	</polygon>
	
	<traffic-layer></traffic-layer>

	<drawing-manager [drawingControl]="true" [drawingControlOptions]="{
				  position: 4,
				  drawingModes: ['polygon']
				 }"
	 [rectangleOptions]="{
					fillColor: '#BCDCF9',
					strokeOpacity: 1,
					fillOpacity: 0.75,
					strokeWeight: 3,
					editable: true,
					clickable: true,
					strokeColor: '#57ACF9',
					zIndex: 1
				}"
	 [polygonOptions]="{
					fillColor: '#BCDCF9',
					strokeOpacity: 1,
					fillOpacity: 0.75,
					strokeWeight: 3,
					editable: true,
					clickable: true,
					strokeColor: '#57ACF9',
					zIndex: 1
				}"
				>
	</drawing-manager>
</ngui-map>